<script setup lang="ts">
import { onMounted, provide, ref } from 'vue'
import UserList from '@/components/UserList.vue'
import type { User } from '@/types/User'
import { useUserStore } from '@/stores/user'
import { useRoute, useRouter } from 'vue-router'

const router = useRouter()
const route = useRoute()

const userStore = useUserStore()
const p = ref<User[]>([])

provide('selectedUser', p)

const userList: User[] | any = ref(userStore.users)

onMounted(async () => {
  await userStore.getUsers()
  userList.value = userStore.users
})
</script>

<template>
  <UserList :users="userList"></UserList>
</template>
